package com.tmax.openframe.mapper;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.dto.OIVPINFO_DFHCOMMAREADto;
import com.tmax.openframe.variable.group.OIVPQUIT_WS_DATE_TIME_AREA;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface OIVPQUIT_WS_DATE_TIME_AREA_To_OIVPINFO_DFHCOMMAREADtoMapper {
    OIVPQUIT_WS_DATE_TIME_AREA_To_OIVPINFO_DFHCOMMAREADtoMapper INSTANCE = Mappers
            .getMapper(OIVPQUIT_WS_DATE_TIME_AREA_To_OIVPINFO_DFHCOMMAREADtoMapper.class);

    @Mapping(source = "DCA_DATE", target = "DCA_DATE")
    @Mapping(source = "DCA_TERM", target = "DCA_TERM")
    @Mapping(source = "DCA_TIME.DCA_TIME_HRS", target = "DCA_TIME.DCA_TIME_HRS")
    @Mapping(source = "DCA_TIME.DCA_COLON", target = "DCA_TIME.DCA_COLON")
    @Mapping(source = "DCA_TIME.DCA_TIME_MIN", target = "DCA_TIME.DCA_TIME_MIN")
    @Mapping(source = "DCA_TIME.DCA_TIME_AMPM", target = "DCA_TIME.DCA_TIME_AMPM")
    OIVPINFO_DFHCOMMAREADto toOIVPINFO_DFHCOMMAREADto(
            OIVPQUIT_WS_DATE_TIME_AREA source);

    @Mapping(source = "DCA_DATE", target = "DCA_DATE")
    @Mapping(source = "DCA_TERM", target = "DCA_TERM")
    @Mapping(source = "DCA_TIME.DCA_TIME_HRS", target = "DCA_TIME.DCA_TIME_HRS")
    @Mapping(source = "DCA_TIME.DCA_COLON", target = "DCA_TIME.DCA_COLON")
    @Mapping(source = "DCA_TIME.DCA_TIME_MIN", target = "DCA_TIME.DCA_TIME_MIN")
    @Mapping(source = "DCA_TIME.DCA_TIME_AMPM", target = "DCA_TIME.DCA_TIME_AMPM")
    OIVPQUIT_WS_DATE_TIME_AREA toOIVPQUIT_WS_DATE_TIME_AREA(
            OIVPINFO_DFHCOMMAREADto source);
}
